> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Testar conexão com um conector (sem salvar)

> Test connectivity for the given connector type and credentials.

Does **not** save any data — use POST /connectors to persist after a
successful test.



## OpenAPI

````yaml /api-reference/catalog-api.json post /connectors/test
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/test:
    post:
      tags:
        - connectors
      summary: Testar conexão com um conector (sem salvar)
      description: |-
        Test connectivity for the given connector type and credentials.

        Does **not** save any data — use POST /connectors to persist after a
        successful test.
      operationId: test_connection_connectors_test_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestConnectionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestConnectionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TestConnectionRequest:
      properties:
        type:
          type: string
          title: Type
        credentials:
          additionalProperties: true
          type: object
          title: Credentials
      type: object
      required:
        - type
        - credentials
      title: TestConnectionRequest
    TestConnectionResponse:
      properties:
        status:
          type: string
          title: Status
        message:
          type: string
          title: Message
          default: ''
      type: object
      required:
        - status
      title: TestConnectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````